program main

  real, dimension(5) :: x

  x = 0.
! THIS IS WRONG
  call incb(x)
  print *, x
      
end program main

subroutine incb(a)

! this is a fortran90 style subroutine

  real, dimension(:) :: a
      
  a = a + 1.

end subroutine incb
